## org.apache.batik.svggen
Interface ExtensionHandler

All Known Implementing Classes:
  DefaultExtensionHandler

public interface ExtensionHandler

The ExtensionHandler interface allows the user to handle Java 2D API extensions that map to SVG concepts (such as custom Paints, Composites or BufferedImageOp filters).

Method Summary
`SVGCompositeDescriptor` `handleComposite(java.awt.Composite composite, SVGGeneratorContext generatorContext)`
`SVGFilterDescriptor` `handleFilter(java.awt.image.BufferedImageOp filter, java.awt.Rectangle filterRect, SVGGeneratorContext generatorContext)`
`SVGPaintDescriptor` `handlePaint(java.awt.Paint paint, SVGGeneratorContext generatorContext)`

Method Detail

### handlePaint

    public SVGPaintDescriptor handlePaint(java.awt.Paint paint,
                                          SVGGeneratorContext generatorContext)

  Parameters:
    `paint` - Custom Paint to be converted to SVG
    `generatorContext` - allows the handler to build DOM objects as needed.
  Returns:
    an SVGPaintDescriptor

### handleComposite

    public SVGCompositeDescriptor handleComposite(java.awt.Composite composite,
                                                  SVGGeneratorContext generatorContext)

  Parameters:
    `composite` - Custom Composite to be converted to SVG.
    `generatorContext` - allows the handler to build DOM objects as needed.
  Returns:
    an SVGCompositeDescriptor which contains a valid SVG filter, or null if the composite cannot be handled

### handleFilter

    public SVGFilterDescriptor handleFilter(java.awt.image.BufferedImageOp filter,
                                            java.awt.Rectangle filterRect,
                                            SVGGeneratorContext generatorContext)

  Parameters:
    `filter` - Custom filter to be converted to SVG.
    `filterRect` - Rectangle, in device space, that defines the area to which filtering applies. May be null, meaning that the area is undefined.
    `generatorContext` - allows the handler to build DOM objects as needed.
  Returns:
    an SVGFilterDescriptor which contains a valid SVG filter, or null if the composite cannot be handled

Copyright © 2004 Apache Software Foundation. All Rights Reserved.